<!--
Ce fichier est rédigé en langage markdown.
Il est structuré en strophes. Une strophe est un ensemble de lignes encadrées
par des étiquettes (utlisant des commentaires markdown).
- La première strophe est la table des matières (notée TOC). Sur chaque ligne est inscrit un sujet numéroté-
- Les autres strophes, encadrées des numéros correspondants, développent les sujets.
-->

<!--:toc:-->
### TOC

1. Texlive
2. Anaconda
3. Gâteaux secs
4. Clavier Eo
<!--::toc::-->

---

<!--:1:-->
### Install texlive

La commande `tlmgr --self` informe sur la mise-à-jour. Pour faire une mise-à-jour :

`tlmgr -gui` Puis appuyer sur "Mettre à jour tous les packages installés"

##### Install
Exemple d'install pour texlive 2019 :

- download de `install-tl` depuis le site `tug.org/texlive/acquire-netinstall.html`
- décompresser `install-tl-unx.tar.gz`
- `$ ./install-tl -gui`
- configurer le répertoire principal : `/home/bob/texlive/2019`

##### Ajout d'un paquet (par exemple `bclogo`)

`tlmgr install bclogo`

##### Ajout d'un paquet hors texlive (par exemple `tikz-uml.sty`)

- Créer un répertoire dans `~/texlive/2019/texmf-dist/tex/latex` :

`$ mkdir tikz-uml`. Vérifier les permissions : `755 bob:bob`

- Ajouter le paq dans le répertoire :

` ./tikz-uml/tikz-uml.sty`. Vérifier les permissions : `644 bob:bob`

- Régénérer la base de données de texlive :

`$ mktexlsr`

**Note :** Même procédure pour ajouter une classe de document (`*.cls`).
<!--::1::-->

---

<!--:2:-->
### Install anaconda

##### Install

- Download : `https://www.anaconda.com/distribution/`
- Dans `Téléchargement` : `$ bash <distrib>`
- Accepter l'activation de l'environnement de base

##### Mise à jour

`conda update conda` puis `conda update --all`

##### Les environnements

- Création

    1. `conda config --set channel_priority strict`
    2. `conda create -n dun2 python=3.7`

- Activation : `conda activate dun2` (alias : `dun2`)
- Désactiver l'environnement en cours : `conda deactivate` (alias : `deac`)

Note : Pour **ne pas activer** conda base au startup :

`$ conda config --set auto-activate_base false`
<!--::2::-->

---

<!--:3:-->
###  Gâteaux secs

##### Préparation

45 min. Cuisson 10 min.

##### Ingrédients

- 175 g de farine
- 1/2 cc de bicarbonate de sodium
- 1/2 cc de cannelle
- 1/2 cc de gingembre
- 75 g de sucre
- 75 g de beurre
- 2 cs de miel (miel de coing ou sirop d'agave)
- 1 jaune d'œuf

![gâteaux secs](canelle_gingembre.png)

Préchauffer le four à 180 °C (th 6).

Mélanger les matières sèches. Ajouter le beurre ramolli, le jaune d'œufs et le miel de coing. Bien mélanger. Pétrir, faire une boule et la laisser reposer 1/2 h au frigo dans papier alimentaire.

Étaler au rouleau sur papier sulfurisé, quadriller au couteau puis séparer les carrés pour qu'ils ne collent pas à la cuisson.

10 min au four puis laisser refroidir sur le papier sulfurisé.

Bon appétit !
<!--::3::-->

---

<!--:4:-->
### Claviers Eo

Par défaut j'utilise la disposition de clavier : « Français (variante) » qui est assez riche.

*On peut visualiser un clavier par l'application* `Onboard`.

Par contre, j'ai besoin d'afficher les caractères accentués de l'espéranto.

##### Configuration

À la racine du compte, mettre le fichier `.Xmodmap` (-rw-r--r--) contenant :

![keycode](keycode.png)

On active ce fichier par la commande :

`$ xmodmap ./.Xmodmap`

*À ne faire qu'une fois car l'effet est persistant.*

##### Usage

Les 6 lettres accentuées de l'espéranto sont simplement obtenues en utilisant la touche Windows gauche (notée `W`). Par exemple : 

- `W+c` (ĉ) ou `W+u` (ŭ) pour les bas de casse ;
- `Shift+W+c` (Ĉ) ou `Shift+W+u` (Ŭ) pour les capitales.
<!--::4::-->
